<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:17 CEST 2011 -->
<TITLE>
PropertyFile
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PropertyFile";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../PropertyFile/PropertyElement.html" title="class in PropertyFile"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?PropertyFile/PropertyFile.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PropertyFile.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
PropertyFile</FONT>
<BR>
Class PropertyFile</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>PropertyFile.PropertyFile</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../PropertyFile/i18n.html" title="class in PropertyFile">i18n</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>PropertyFile</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Allows to read and write property files. This files contain a list of
 values associate with a name like :
        <name1> = <value1>
        <name2> = <value2>
                ...
        <nameN> = <valueN>

        Value is optional (without value it must not have '=' symbol).
        A line can start by '#' and it means that the line is a comment.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#PropertyFile()">PropertyFile</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created PropertyFile object with an empty list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#PropertyFile(java.io.File)">PropertyFile</A></B>(java.io.File&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created PropertyFile object with a file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#PropertyFile(java.lang.String)">PropertyFile</A></B>(java.lang.String&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created PropertyFile object with a file.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#add_nt(java.lang.String)">add_nt</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a property without value and without test to know if the name
 already exist (it suppose no)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#add_nt(java.lang.String, java.lang.String)">add_nt</A></B>(java.lang.String&nbsp;name,
       java.lang.String&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a property but without test to know if the name already exist
 (it suppose no).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#add(java.lang.String)">add</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds property without value but with test to know if the name already exist.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#add(java.lang.String, java.lang.String)">add</A></B>(java.lang.String&nbsp;name,
    java.lang.String&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds property to the list with test to know if the name already exist.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#exist(java.lang.String)">exist</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Allows to know if a given name already exist in the list or not.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String)">getString</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the values associated to a name (returns 'null' if the name
 does not exist).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.util.ArrayList)">getString</A></B>(java.lang.String&nbsp;name,
          java.util.ArrayList&lt;java.lang.String&gt;&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the value associated to a name (returns 'null' if the name
 does not exist).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.lang.String)">getString</A></B>(java.lang.String&nbsp;name,
          java.lang.String&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the value associated to a name (returns 'null' if the name
 does not exist).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#getString(java.lang.String, java.lang.String, java.lang.String)">getString</A></B>(java.lang.String&nbsp;name,
          java.lang.String&nbsp;var1,
          java.lang.String&nbsp;var2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the value associated to a name (returns 'null' if the name
 does not exist).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#load(java.io.File)">load</A></B>(java.io.File&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Loads a property file (creates the elements list)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#load(java.lang.String)">load</A></B>(java.lang.String&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Loads a property file (creates the elements list)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#removeAll()">removeAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#save(java.io.File)">save</A></B>(java.io.File&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#save(java.lang.String)">save</A></B>(java.lang.String&nbsp;pfile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#setString(java.lang.String, java.lang.String)">setString</A></B>(java.lang.String&nbsp;name,
          java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value associated to a name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../PropertyFile/PropertyFile.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this PropertyFile.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PropertyFile()"><!-- --></A><H3>
PropertyFile</H3>
<PRE>
public <B>PropertyFile</B>()</PRE>
<DL>
<DD>Initializes a newly created PropertyFile object with an empty list.
<P>
</DL>
<HR>

<A NAME="PropertyFile(java.io.File)"><!-- --></A><H3>
PropertyFile</H3>
<PRE>
public <B>PropertyFile</B>(java.io.File&nbsp;pfile)
             throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created PropertyFile object with a file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>pfile</CODE> - file object containing the file to be read.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>
<HR>

<A NAME="PropertyFile(java.lang.String)"><!-- --></A><H3>
PropertyFile</H3>
<PRE>
public <B>PropertyFile</B>(java.lang.String&nbsp;pfile)
             throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Initializes a newly created PropertyFile object with a file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>pfile</CODE> - string object containing the file path of the file to be read.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="load(java.io.File)"><!-- --></A><H3>
load</H3>
<PRE>
public void <B>load</B>(java.io.File&nbsp;pfile)
          throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Loads a property file (creates the elements list)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pfile</CODE> - file object containing the file to be read.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DD>
</DL>
<HR>

<A NAME="load(java.lang.String)"><!-- --></A><H3>
load</H3>
<PRE>
public void <B>load</B>(java.lang.String&nbsp;pfile)
          throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD>Loads a property file (creates the elements list)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pfile</CODE> - string object containing the file path of the file to be read.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE> - if an error occur during the reading.</DL>
</DD>
</DL>
<HR>

<A NAME="save(java.io.File)"><!-- --></A><H3>
save</H3>
<PRE>
public void <B>save</B>(java.io.File&nbsp;pfile)
          throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="save(java.lang.String)"><!-- --></A><H3>
save</H3>
<PRE>
public void <B>save</B>(java.lang.String&nbsp;pfile)
          throws <A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile">PropertyFileException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="exist(java.lang.String)"><!-- --></A><H3>
exist</H3>
<PRE>
public boolean <B>exist</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Allows to know if a given name already exist in the list or not.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - element name.
<DT><B>Returns:</B><DD>true if the name exist and else false.</DL>
</DD>
</DL>
<HR>

<A NAME="setString(java.lang.String, java.lang.String)"><!-- --></A><H3>
setString</H3>
<PRE>
public void <B>setString</B>(java.lang.String&nbsp;name,
                      java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value associated to a name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - element name.<DD><CODE>value</CODE> - new element value.</DL>
</DD>
</DL>
<HR>

<A NAME="add_nt(java.lang.String, java.lang.String)"><!-- --></A><H3>
add_nt</H3>
<PRE>
public void <B>add_nt</B>(java.lang.String&nbsp;name,
                   java.lang.String&nbsp;val)</PRE>
<DL>
<DD>Adds a property but without test to know if the name already exist
 (it suppose no).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DD><CODE>val</CODE> - property value.</DL>
</DD>
</DL>
<HR>

<A NAME="add_nt(java.lang.String)"><!-- --></A><H3>
add_nt</H3>
<PRE>
public void <B>add_nt</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Adds a property without value and without test to know if the name
 already exist (it suppose no)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DT><B>See Also:</B><DD><A HREF="../PropertyFile/PropertyFile.html#add_nt(java.lang.String, java.lang.String)"><CODE>add_nt(String name, String val)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.String, java.lang.String)"><!-- --></A><H3>
add</H3>
<PRE>
public void <B>add</B>(java.lang.String&nbsp;name,
                java.lang.String&nbsp;val)</PRE>
<DL>
<DD>Adds property to the list with test to know if the name already exist.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DD><CODE>val</CODE> - property value.</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.String)"><!-- --></A><H3>
add</H3>
<PRE>
public void <B>add</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Adds property without value but with test to know if the name already exist.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DT><B>See Also:</B><DD><A HREF="../PropertyFile/PropertyFile.html#add(java.lang.String, java.lang.String)"><CODE>add(String name, String val)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="removeAll()"><!-- --></A><H3>
removeAll</H3>
<PRE>
public void <B>removeAll</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getString(java.lang.String)"><!-- --></A><H3>
getString</H3>
<PRE>
public java.lang.String <B>getString</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Gets the values associated to a name (returns 'null' if the name
 does not exist).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.
<DT><B>Returns:</B><DD>property value.</DL>
</DD>
</DL>
<HR>

<A NAME="getString(java.lang.String, java.util.ArrayList)"><!-- --></A><H3>
getString</H3>
<PRE>
public java.lang.String <B>getString</B>(java.lang.String&nbsp;name,
                                  java.util.ArrayList&lt;java.lang.String&gt;&nbsp;var)</PRE>
<DL>
<DD>Gets the value associated to a name (returns 'null' if the name
 does not exist).
        Here '#<n>' symbols (where '<n>' is a number) are replace by
 the value contained in value list (converted into character).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DD><CODE>var</CODE> - values list.
<DT><B>Returns:</B><DD>modified property value.</DL>
</DD>
</DL>
<HR>

<A NAME="getString(java.lang.String, java.lang.String)"><!-- --></A><H3>
getString</H3>
<PRE>
public java.lang.String <B>getString</B>(java.lang.String&nbsp;name,
                                  java.lang.String&nbsp;var)</PRE>
<DL>
<DD>Gets the value associated to a name (returns 'null' if the name
 does not exist).
        Here '#1' symbols are replace by the value contained in value
 list (converted into character).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DD><CODE>var</CODE> - value.
<DT><B>Returns:</B><DD>modified property value.</DL>
</DD>
</DL>
<HR>

<A NAME="getString(java.lang.String, java.lang.String, java.lang.String)"><!-- --></A><H3>
getString</H3>
<PRE>
public java.lang.String <B>getString</B>(java.lang.String&nbsp;name,
                                  java.lang.String&nbsp;var1,
                                  java.lang.String&nbsp;var2)</PRE>
<DL>
<DD>Gets the value associated to a name (returns 'null' if the name
 does not exist).
        Here '#1' and '#2' symbols are replace by the value contained in 
 value list (converted into character).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - property name.<DD><CODE>var1</CODE> - value associated to '#1'.<DD><CODE>var2</CODE> - value associated to '#2'.
<DT><B>Returns:</B><DD>modified property value.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this PropertyFile.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string representation of the PropertyFile.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../PropertyFile/PropertyElement.html" title="class in PropertyFile"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../PropertyFile/PropertyFileException.html" title="class in PropertyFile"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?PropertyFile/PropertyFile.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PropertyFile.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
